Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractSpinBox.CorrectionMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAbstractSpinBox.CorrectionMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractSpinBox

    public static final class QAbstractSpinBox.CorrectionMode

extends java.lang.Enum
implements QtEnumerator

This enum type describes the mode the spinbox will use to correct an `Intermediate` value if editing finishes.

See also:
  `correctionMode`.

See Also:
  Serialized Form

Field Summary
`static QAbstractSpinBox.CorrectionMode` | `CorrectToNearestValue` The spinbox will revert to the nearest valid value.
`static QAbstractSpinBox.CorrectionMode` | `CorrectToPreviousValue` The spinbox will revert to the last valid value.

Method Summary
`static QAbstractSpinBox.CorrectionMode` | `resolve(int value)` Returns the CorrectionMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractSpinBox.CorrectionMode` | `valueOf(java.lang.String name)`
`static QAbstractSpinBox.CorrectionMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CorrectToPreviousValue

    public static final QAbstractSpinBox.CorrectionMode CorrectToPreviousValue

  The spinbox will revert to the last valid value.

### CorrectToNearestValue

    public static final QAbstractSpinBox.CorrectionMode CorrectToNearestValue

  The spinbox will revert to the nearest valid value.

Method Detail

### values

    public static QAbstractSpinBox.CorrectionMode[] values()

### valueOf

    public static QAbstractSpinBox.CorrectionMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractSpinBox.CorrectionMode resolve(int value)

  Returns the CorrectionMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD